angular.module('app', ['ionic'])

.run(function($ionicPlatform) {
		
  $ionicPlatform.ready(function($interval) {
    
    if (window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
      cordova.plugins.Keyboard.disableScroll(true);
    }
    if (window.StatusBar) {  
      StatusBar.styleDefault();
    }
	
  });
})

.config(function($stateProvider, $urlRouterProvider) {
  $stateProvider

    .state('sidemenu', {
		cache: false,
		url: '/sidemenu',
		abstract: true,
		templateUrl: 'templates/sidemenu.html'
  })

  .state('sidemenu.visitanosEnPlayStore', {
	cache: false,
    url: '/visitanosEnPlayStore',
    views: {
      'sidemenu': {
        templateUrl: 'templates/visitanosEnPlayStore.html',
		controller: 'visitanosEnPlayStoreCtrl'
      }
    }
  })

  .state('sidemenu.home', {
	  cache: false,
      url: '/home',
      views: {
        'sidemenu': {
          templateUrl: 'templates/home.html',
		  controller: 'homeCtrl'
        }
      }
    })
	
	.state('sidemenu.nuestrosDesarrollos', {
		cache: false,
      url: '/nuestrosDesarrollos',
      views: {
        'sidemenu': {
          templateUrl: 'templates/nuestrosDesarrollos.html',
		  controller: 'nuestrosDesarrollosCtrl'
        }
      }
    })
	
	.state('sidemenu.downloads', {
		cache: false,
      url: '/downloads',
      views: {
        'sidemenu': {
          templateUrl: 'templates/downloads.html',
		  controller: 'downloadsCtrl'
        }
      }
    })
    
	.state('sidemenu.nuestroEquipo', {
		cache: false,
      url: '/nuestroEquipo',
      views: {
        'sidemenu': {
          templateUrl: 'templates/nuestroEquipo.html',
		  controller: 'nuestroEquipoCtrl'
        }
      }
    })
	
	.state('sidemenu.confianEnNosotros', {
		cache: false,
      url: '/confianEnNosotros',
      views: {
        'sidemenu': {
          templateUrl: 'templates/confianEnNosotros.html',
		  controller: 'confianEnNosotrosCtrl'
        }
      }
    })
	
	.state('sidemenu.contacto', {
		cache: false,
      url: '/contacto',
      views: {
        'sidemenu': {
          templateUrl: 'templates/contacto.html',
		  controller: 'contactoCtrl'
        }
      }
    })
 
  $urlRouterProvider.otherwise('/sidemenu/home');
})

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

.controller('homeCtrl', function($scope,$ionicPopup,$rootScope,$timeout) {		
	
	$rootScope.loading = true;
	$timeout(function () {
		$rootScope.loading = false;
	}, 8000);
	
	$scope.alertNoInternet = function(title, msg) {
		var alertPopup = $ionicPopup.alert({
			title: title,
			template: msg
		});
		alertPopup.then(function(res) {
			ionic.Platform.exitApp();
		});
	};	
	
	document.addEventListener("offline", onOffline, false);

	function onOffline() {
		$scope.showInfoNoMap = {						
			"display":"none"
		}		
		
		// Handle the offline event
		$scope.alertNoInternet('Debe tener conexión a Internet para usar el APP', 'Conéctese a una red de internet y vuelva a intentarlo');
	}
})

.controller('visitanosEnPlayStoreCtrl', function($scope,$ionicPopup,$timeout,$rootScope) {	

	$rootScope.loading = true;
	$timeout(function () {
		$rootScope.loading = false;
	}, 8000);

	$scope.alertNoInternet = function(title, msg) {
		var alertPopup = $ionicPopup.alert({
			title: title,
			template: msg
		});
		alertPopup.then(function(res) {
			ionic.Platform.exitApp();
		});
	};	
	
	document.addEventListener("offline", onOffline, false);

	function onOffline() {
		$scope.showInfoNoMap = {						
			"display":"none"
		}		
		
		// Handle the offline event
		$scope.alertNoInternet('Debe tener conexión a Internet para usar el APP', 'Conéctese a una red de internet y vuelva a intentarlo');
	}
})

.controller('nuestrosDesarrollosCtrl', function($scope,$ionicPopup,$timeout,$rootScope) {	

	$rootScope.loading = true;
	$timeout(function () {
		$rootScope.loading = false;
	}, 8000);

	$scope.alertNoInternet = function(title, msg) {
		var alertPopup = $ionicPopup.alert({
			title: title,
			template: msg
		});
		alertPopup.then(function(res) {
			ionic.Platform.exitApp();
		});
	};	
	
	document.addEventListener("offline", onOffline, false);

	function onOffline() {
		$scope.showInfoNoMap = {						
			"display":"none"
		}		
		
		// Handle the offline event
		$scope.alertNoInternet('Debe tener conexión a Internet para usar el APP', 'Conéctese a una red de internet y vuelva a intentarlo');
	}
})

.controller('downloadsCtrl', function($scope,$ionicPopup,$timeout,$rootScope) {

	$rootScope.loading = true;
	$timeout(function () {
		$rootScope.loading = false;
	}, 8000);
	
	$scope.alertNoInternet = function(title, msg) {
		var alertPopup = $ionicPopup.alert({
			title: title,
			template: msg
		});
		alertPopup.then(function(res) {
			ionic.Platform.exitApp();
		});
	};	
	
	document.addEventListener("offline", onOffline, false);

	function onOffline() {
		$scope.showInfoNoMap = {						
			"display":"none"
		}		
		
		// Handle the offline event
		$scope.alertNoInternet('Debe tener conexión a Internet para usar el APP', 'Conéctese a una red de internet y vuelva a intentarlo');
	}
})

.controller('nuestroEquipoCtrl', function($scope,$ionicPopup,$timeout,$rootScope) {	

	$rootScope.loading = true;
	$timeout(function () {
		$rootScope.loading = false;
	}, 8000);

	$scope.alertNoInternet = function(title, msg) {
		var alertPopup = $ionicPopup.alert({
			title: title,
			template: msg
		});
		alertPopup.then(function(res) {
			ionic.Platform.exitApp();
		});
	};	
	
	document.addEventListener("offline", onOffline, false);

	function onOffline() {
		$scope.showInfoNoMap = {						
			"display":"none"
		}		
		
		// Handle the offline event
		$scope.alertNoInternet('Debe tener conexión a Internet para usar el APP', 'Conéctese a una red de internet y vuelva a intentarlo');
	}
})

.controller('confianEnNosotrosCtrl', function($scope,$ionicPopup,$timeout,$rootScope) {

	$rootScope.loading = true;
	$timeout(function () {
		$rootScope.loading = false;
	}, 8000);
	
	$scope.alertNoInternet = function(title, msg) {
		var alertPopup = $ionicPopup.alert({
			title: title,
			template: msg
		});
		alertPopup.then(function(res) {
			ionic.Platform.exitApp();
		});
	};	
	
	document.addEventListener("offline", onOffline, false);

	function onOffline() {
		$scope.showInfoNoMap = {						
			"display":"none"
		}		
		
		// Handle the offline event
		$scope.alertNoInternet('Debe tener conexión a Internet para usar el APP', 'Conéctese a una red de internet y vuelva a intentarlo');
	}
})

.controller('contactoCtrl', function($scope,$ionicPopup,$timeout,$rootScope) {	

	$rootScope.loading = true;
	$timeout(function () {
		$rootScope.loading = false;
	}, 8000);

	$scope.alertNoInternet = function(title, msg) {
		var alertPopup = $ionicPopup.alert({
			title: title,
			template: msg
		});
		alertPopup.then(function(res) {
			ionic.Platform.exitApp();
		});
	};	
	
	document.addEventListener("offline", onOffline, false);

	function onOffline() {
		$scope.showInfoNoMap = {						
			"display":"none"
		}		
		
		// Handle the offline event
		$scope.alertNoInternet('Debe tener conexión a Internet para usar el APP', 'Conéctese a una red de internet y vuelva a intentarlo');
	}
})









